package com.masteros.webview;

import android.app.*;
import android.os.*;
import android.webkit.*;
import com.masteros.webview.R;

public class MainActivity extends Activity {
private WebView mWebView;
 
public void onCreate(Bundle savedInstanceState) {
super.onCreate(savedInstanceState);
setContentView(R.layout.activity_main);
 
mWebView = (WebView) findViewById(R.id.webView);
// включить JavaScript
mWebView.getSettings().setJavaScriptEnabled(true);
// страницу загрузки
mWebView.setWebViewClient(new MyWebViewClient());
// ссылка, здесь написан "http://annimon.com"
mWebView.loadUrl("http://annimon.com");
}
private class MyWebViewClient extends WebViewClient 
{
@Override
public boolean shouldOverrideUrlLoading(WebView view, String url) 
{
  // показать url
view.loadUrl(url);
return true;
}
}
@Override
// назад
public void onBackPressed() {
if(mWebView.canGoBack()) {
mWebView.goBack();
} else {
super.onBackPressed();
}
}
}
